## visad.data.vis5d
Class Vis5DFile

    java.lang.Object
      visad.data.vis5d.Vis5DFile

public class Vis5DFile
extends Object

Field Summary
`(package private) String` `filename`
`(package private) int` `grid_size`
`(package private) FunctionType` `grid_type`
`(package private) int` `nvars`
`(package private) Set` `space_set`
`(package private) RealType[]` `vars`
`(package private) int[]` `vars_indexes`
`(package private) V5DStruct` `vv`

Constructor Summary
`Vis5DFile(String filename, V5DStruct vv, Set space_set, FunctionType grid_type, RealType[] vars, int[] vars_indexes, int grid_size)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### filename

    String filename

### vv

    V5DStruct vv

### space_set

    Set space_set

### grid_type

    FunctionType grid_type

### vars

    RealType[] vars

### vars_indexes

    int[] vars_indexes

### nvars

    int nvars

### grid_size

    int grid_size

Constructor Detail

### Vis5DFile

    public Vis5DFile(String filename,
                     V5DStruct vv,
                     Set space_set,
                     FunctionType grid_type,
                     RealType[] vars,
                     int[] vars_indexes,
                     int grid_size)